Bug 88562 - UI: appearance of file name field in File Properties dialog gives the idea that it can be changed there, which cannot be done
Summary: UI: appearance of file name field in File Properties dialog gives the idea th...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.3.5.2 release
Hardware: All All
: low minor
Assignee: Not Assigned
URL:
Whiteboard: target:4.5.0
Keywords:
Depends on:
Blocks:
 
Reported: 2015-01-18 20:38 UTC by Jacky Mary
Modified: 2015-01-21 11:32 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jacky Mary 2015-01-18 20:38:52 UTC
When you look at the title of the file you can see it in an input box yet you cannot input any new keys, there is even a cursor there which indicates to be that if I press a key on my keyboard it should react in the same way a "word" program would.
Comment 1 Cor Nouws 2015-01-18 21:17:50 UTC
Hi Jacky,

Thanks for filing the issue.
Indeed the appearance of box with the name is confusing. (I look on Ubuntu) It should be more greyisch. To indicate that one can copy the file name from there.
Changing of course must be done in the file save(as) dialog.

> new
Comment 2 Cor Nouws 2015-01-18 21:18:17 UTC
one for ux!
Comment 3 Adolfo Jayme 2015-01-19 21:32:33 UTC
No need to add this to UX Advise IMHO. The bug is obvious and its UX resolution should be too: that field’s background should appear disabled (i.e., grayed out) as it cannot be modified.

Maybe Caolán can lend a hand here too ;) (sorry for abusing!)
Comment 4 V Stuart Foote 2015-01-19 23:01:12 UTC
Yup, a minor quirk of the UI--would be good to correct, no UX issue here. But in fixing we should try to retain ability to copy the file name from the Open/Save dialogs--LibreOffice's when active as well as OS when used.

@Jacky Mary -- when filing, please research the component to use for an issue. BASIC is the programming language/interface used within LibreOffice.  While valid, this is pretty clearly a UI issue.
Comment 5 Commit Notification 2015-01-21 11:32:03 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=eeccf1be6a5752b2288086d1f52c1b1e3e5c4137

Related: fdo#88562 Nothing actually sets ID_FILETP_READONLY or ID_FILETP_TITLE

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2015-01-21 11:32:08 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4b2daa1cd57ae022a728296882a91407a3746309

Resolves: fdo#88562 convert filename widget from ro-edit to selectable-label

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.